Package org.silverpeas.components.almanach.workflowextensions

## Enum AlmanachTriggerParam

- java.lang.Object
- - java.lang.Enum<AlmanachTriggerParam>
  - - org.silverpeas.components.almanach.workflowextensions.AlmanachTriggerParam

- All Implemented Interfaces:
    `Serializable`, `Comparable<AlmanachTriggerParam>`

      public enum AlmanachTriggerParam
      extends Enum<AlmanachTriggerParam>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APPLICATION_ID` |
    `END_DATE` |
    `END_HOUR` |
    `EVENT_DESCRIPTION` |
    `EVENT_NAME` |
    `EVENT_URL` |
    `PLACE` |
    `PRIORITY` |
    `START_DATE` |
    `START_HOUR` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getParameterName()` |
    `static AlmanachTriggerParam` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AlmanachTriggerParam[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION_ID

          public static final AlmanachTriggerParam APPLICATION_ID

    - #### EVENT_NAME

          public static final AlmanachTriggerParam EVENT_NAME

    - #### EVENT_DESCRIPTION

          public static final AlmanachTriggerParam EVENT_DESCRIPTION

    - #### START_DATE

          public static final AlmanachTriggerParam START_DATE

    - #### START_HOUR

          public static final AlmanachTriggerParam START_HOUR

    - #### END_DATE

          public static final AlmanachTriggerParam END_DATE

    - #### END_HOUR

          public static final AlmanachTriggerParam END_HOUR

    - #### PLACE

          public static final AlmanachTriggerParam PLACE

    - #### EVENT_URL

          public static final AlmanachTriggerParam EVENT_URL

    - #### PRIORITY

          public static final AlmanachTriggerParam PRIORITY

  - ### Method Detail

    - #### values

          public static AlmanachTriggerParam[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlmanachTriggerParam c : AlmanachTriggerParam.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlmanachTriggerParam valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getParameterName

          public String getParameterName()

      Returns:
        the parameterName